/* ==========================================================================
   Archijeunes FSE – Buttons
   Styles des boutons et leurs variantes
   ========================================================================== */

/* --------------------------------------------------------------------------
   Style Ghost
   -------------------------------------------------------------------------- */

.wp-block-button.is-style-ghost .wp-element-button,
.wp-block-button.is-style-ghost .wp-block-button__link {
  background: transparent;
  border: 0;
  box-shadow: none;
  color: var(--wp--preset--color--base);
}

/* --------------------------------------------------------------------------
   Style Base
   -------------------------------------------------------------------------- */

.wp-block-button.is-style-base .wp-element-button,
.wp-block-button.is-style-base .wp-block-button__link {
  background: var(--wp--preset--color--base);
  border: 0;
  box-shadow: none;
  color: var(--wp--preset--color--secondary);
}

.wp-block-button.is-style-base .wp-element-button:hover,
.wp-block-button.is-style-base .wp-block-button__link:hover {
  background: var(--wp--preset--color--primary);
  color: var(--wp--preset--color--base);
}

/* --------------------------------------------------------------------------
   Style spécifique header (hover box-shadow)
   -------------------------------------------------------------------------- */

header .wp-block-button a:hover {
  box-shadow: 1px 1px 15px 6px var(--wp--preset--color--primary) !important;
}
